<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)" fill-rule="evenodd" clip-rule="evenodd" d="M4 15C4.55228 15 5 14.5523 5 14C5 13.4477 4.55228 13 4 13C3.44772 13 3 13.4477 3 14C3 14.5523 3.44772 15 4 15ZM8 17C8 17.5523 7.55228 18 7 18H1C0.447715 18 0 17.5523 0 17V1C0 0.447715 0.447715 0 1 0H7C7.55228 0 8 0.447715 8 1H16C20.4183 1 24 4.58172 24 9V14C24 15.6569 22.6569 17 21 17H17L17.9074 20.1758C17.984 20.4439 18.0228 20.7213 18.0228 21C18.0228 22.6569 16.6797 24 15.0228 24H13.2629C11.9235 24 10.7463 23.1121 10.3783 21.8242L9.20722 17.7253C9.08457 17.296 8.69218 17 8.2457 17H8ZM8 15H8.2457C9.58514 15 10.7623 15.8879 11.1303 17.1758L12.3014 21.2747C12.424 21.704 12.8164 22 13.2629 22H15.0228C15.5751 22 16.0228 21.5523 16.0228 21C16.0228 20.9071 16.0099 20.8146 15.9843 20.7253L14.3485 15H21C21.5523 15 22 14.5523 22 14V9C22 5.68629 19.3137 3 16 3H8V15Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconThumbsDown'
  }
</script>
